<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <style>
        @import url('https://fonts.googleapis.com/css?family=Raleway');
        body {
            background-color: #f2f2f2;
            font-family: 'Raleway', sans-serif;
        }

        .loading {
            /* font-family: 'Realway'; */
            font-size: 24px;
            position: fixed;
            color: #444;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }
    </style>
</head>
<body>
    
    <?php
        // Incluir la librería TwitterAPIExchange
        require_once('TwitterAPIExchange.php');

        // Configurar los tokens de acceso
        $settings = array(
            'oauth_access_token' => "3071688542-McgWXOBAtf3aZCULgvVeFWgJYS97Ju32QNHkzU0",
            'oauth_access_token_secret' => "ZwuOFkPvkkyx86hJrZg1fAWYQ4JpDBvNkWNuDLkXB2jiC",
            'consumer_key' => "M22ScrYvCW0wkWQxzVfBUUA67",
            'consumer_secret' => "qbDz3adhFYoCHUlyI9T0PG1327cfSxq9qWaGNZysrRE1yup77d"
        );

        // Definir la URL del endpoint de la API de twitter
        $url = "https://api.twitter.com/1.1/statuses/user_timeline.json";

        // Definir el nombre de la cuenta que quieres consultar
        $screen_name = "@delfinagomeza";

        // Definir los parámetros de la petición
        $getfield = "?screen_name=$screen_name&count=10";

        // Definir el método de la petición (GET o POST)
        $requestMethod = "GET";

        // Crear una instancia de la librería
        $twitter = new TwitterAPIExchange($settings);

        // Hacer la petición a la API de twitter
        $response = $twitter->setGetfield($getfield)
                    ->buildOauth($url, $requestMethod)
                    ->performRequest();

        var_dump($response) ;

        // Decodificar la respuesta JSON
        $data = json_decode($response, true);

        // Mostrar los tweets en pantalla
        foreach ($data as $tweet) {
            // Comprobar si el índice 'text' existe
            if (isset($tweet['text'])) {
                // Mostrar el texto del tweet
                echo $tweet['text']."<br>";
            } else {
                $text = $tweet['text'] ?? "No se pudo obtener el texto del tweet";    
                // Mostrar un mensaje de error o alternativo
                echo $text."<br>";
            }
        }
    ?>
</body>
</html>